<?php
/**
 * メンバーToolbox
 */
require_once 'Platy/Widget.php';

class Platy_Widget_Member extends Platy_Widget
{
    public function install() { return true; }
    public function uninstall() { return true; }

    public function getSummary()
    {
        return 'メンバーToolbox';
    }
    
    public function show()
    {
        global $db, $config, $Me;
        
        $a = array('title' => '', 'icons' => '', 'main' => '', 'footer' => '');
        
        $a['title'] = 'メンバー';
        
        ob_start();
        if ($Me->isLoggedIn() == false) {
            echo '<a href="' . BASE_URL . 'Member/login/' . '">';
            echo 'ログイン';
            echo '</a><br />';
            echo '<a href="' . BASE_URL . 'Member/register/">メンバー登録</a><br />' . "\n";
        }
        else {
            echo "ログインしています<br />\n";
            echo '<a href="' . BASE_URL . 'Member/editProfile/' . '">';
            echo 'プロフィール編集';
            echo '</a><br />' . "\n";
            echo '<a href="' . BASE_URL . 'Member/logout/' . '">';
            echo 'ログアウト';
            echo '</a><br />' . "\n";
        }
        $a['main'] = ob_get_contents();
        ob_end_clean();
        
        return $a;
    }
}
?>